OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_CounterOfLevelNumber Class Reference

This class gives information about Level Number. It counts
entities according level number, considering also the
multiple level (see the class LevelList) for which an entity
is attached to each of the listed levels.
Data are available, as level number, or as their alphanumeric
counterparts ("LEVEL nnnnnnn", " NO LEVEL", " LEVEL LIST")
.

`#include <IGESSelect_CounterOfLevelNumber.hxx>`

Inheritance diagram for IGESSelect_CounterOfLevelNumber:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_CounterOfLevelNumber (const Standard_Boolean withmap=Standard_True, const Standard_Boolean withlist=Standard_False)
| Creates a CounterOfLevelNumber, clear, ready to work <withmap> and <withlist> are transmitted to SignCounter .
virtual Standard_EXPORT void | Clear ()
| Resets already memorized informations : also numeric data .
virtual Standard_EXPORT void | AddSign (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model)
| Adds an entity by considering its lrvrl number(s) A level is added both in numeric and alphanumeric form, i.e. LevelList gives "LEVEL LIST", others (no level or positive level) displays level number on 7 digits (C : 7d) Remark : an entity attached to a Level List is added for " LEVEL LIST", and for each of its constituant levels .
Standard_EXPORT void | AddLevel (const Handle(Standard_Transient)&ent, const Standard_Integer level)
| The internal action to record a new level number, positive, null (no level) or negative (level list) .
Standard_EXPORT Standard_Integer | HighestLevel () const
| Returns the highest value found for a level number .
Standard_EXPORT Standard_Integer | NbTimesLevel (const Standard_Integer level) const
| Returns the number of times a level is used, 0 if it has not been recorded at all <level> = 0 counts entities attached to no level <level> < 0 counts entities attached to a LevelList .
Standard_EXPORT Handle_TColStd_HSequenceOfInteger | Levels () const
| Returns the ordered list of used positive Level numbers .
virtual Standard_EXPORT Handle_TCollection_HAsciiString | Sign (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Determines and returns the value of the signature for an entity as an HAsciiString. Redefined, gives the same result as AddSign, see this method ("LEVEL LIST" or "nnnnnnn") .
virtual Standard_EXPORT void | PrintCount (const Handle(Message_Messenger)&S) const
| Prints the counts of items (not the list) then the Highest Level Number recorded .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | thehigh
Standard_Integer | thenblists
Handle_TColStd_HArray1OfInteger | thelevels

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_CounterOfLevelNumber::IGESSelect_CounterOfLevelNumber | ( | const Standard_Boolean | withmap = `Standard_True`,
|  | const Standard_Boolean | withlist = `Standard_False`
| ) |

## Member Function Documentation

Standard_EXPORT void IGESSelect_CounterOfLevelNumber::AddLevel | ( | const Handle(Standard_Transient)& | ent,
|  | const Standard_Integer | level
| ) |

virtual Standard_EXPORT void IGESSelect_CounterOfLevelNumber::AddSign | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | `[virtual]`

| Reimplemented from IFSelect_SignCounter.

virtual Standard_EXPORT void IGESSelect_CounterOfLevelNumber::Clear | ( |  | ) | `[virtual]`

| Reimplemented from IFSelect_SignatureList.

Standard_EXPORT const IGESSelect_CounterOfLevelNumber::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SignCounter.

Standard_EXPORT Standard_Integer IGESSelect_CounterOfLevelNumber::HighestLevel | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfInteger IGESSelect_CounterOfLevelNumber::Levels | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESSelect_CounterOfLevelNumber::NbTimesLevel | ( | const Standard_Integer | level | ) | const

virtual Standard_EXPORT void IGESSelect_CounterOfLevelNumber::PrintCount | ( | const Handle(Message_Messenger)& | S | ) | const`[virtual]`

| Reimplemented from IFSelect_SignatureList.

virtual Standard_EXPORT Handle_TCollection_HAsciiString IGESSelect_CounterOfLevelNumber::Sign | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Reimplemented from IFSelect_SignCounter.

## Field Documentation

Standard_Integer IGESSelect_CounterOfLevelNumber::thehigh`[private]`

Handle_TColStd_HArray1OfInteger IGESSelect_CounterOfLevelNumber::thelevels`[private]`

Standard_Integer IGESSelect_CounterOfLevelNumber::thenblists`[private]`

The documentation for this class was generated from the following file:

- IGESSelect_CounterOfLevelNumber.hxx